Axiomatic
Platform

Billing

Stripe checkout, subscriptions, and customer portal

Create a Stripe Checkout session

POST
/api/billing/checkout

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/billing/checkout" \  -H "Content-Type: application/json" \  -d '{    "priceId": "string"  }'
{
  "url": "http://example.com"
}
{
  "error": "string"
}

Get current subscription details

GET
/api/billing/subscription

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Response Body

application/json

application/json

curl -X GET "https://app.axiomatic.software/api/billing/subscription"
{}
{
  "error": "string"
}

Create a Stripe Customer Portal session

POST
/api/billing/portal

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/billing/portal"
{
  "url": "http://example.com"
}
{
  "error": "string"
}